develooper Front page | perl.par | Postings from June 2008

PAR installation question....

From:
Joe Pond
Date:
June 28, 2008 19:27
Subject:
PAR installation question....
Message ID:
000501c8d97e$00d9a770$028cf650$@pond@rcn.com
Hi Par list,

 

Hope that someone can enlighten me about how to install PAR so I can use it
to compile perl scripts.

 

Here is what I’ve got:  

OS: Windows XP Pro

Perl 5.10.0 installed  (ActiveState Perl Dist)

 

PAR-0.980, PAR-Dist-0.31, PAR-Packer-0.980, Module-ScanDeps-0.84,
Parse-Binary-0.10 and Win32-Exe-0.11

 

I have used nmake and all seem to go in ok except that PAR-Packer gets
errors.

 

I saw one thread at some site that indicated that the files installed at
C:\Perl\PAR-Packer-0.980\lib\PAR\StrippedPARL may not be the correct size
and some of the error messages point that way as well as perl is trying to
get something out of static.pm that it can’t find.  In this directory I have
Base.pm @ 5 kb, Dynamic.pm @ 2 kb and Static.pm @ 2 kb.  

 

I have tried reinstalling all of the above packages but always get back to
these modules being the same size.

 

So the questions are:  Am I installing the correct packages and
distributions for an x86 system?

If I am is there somewhere to go and get replacements for the 3 modules
listed above, if they are not the correct size?

 

Am I even barking up the correct tree?

 

Thanks

 

 

Joe Pond

 

Be not afraid of growing slowly, only afraid of standing still.

 




nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About